[rspec-users] Problem with refresh_specs

jschank jschank at mac.com
Sat Jan 31 01:45:56 EST 2009


Hello,
I recently unpacked the latest (1.1.12) rspec and rspec rails in my
applicaiton.
When I run my specs I get:

config.gem: Unpacked gem rspec-1.1.12 in vendor/gems has no
specification file. Run 'rake gems:refresh_specs' to fix this.
config.gem: Unpacked gem rspec-rails-1.1.12 in vendor/gems has no
specification file. Run 'rake gems:refresh_specs' to fix this.


However, when I do what it says, I get this:
[jschank at serenity shindg (maps)]$ rake gems:refresh_specs
(in /Users/jschank/Projects/Rails/shindg)
config.gem: Unpacked gem rspec-1.1.12 in vendor/gems has no
specification file. Run 'rake gems:refresh_specs' to fix this.
config.gem: Unpacked gem rspec-rails-1.1.12 in vendor/gems has no
specification file. Run 'rake gems:refresh_specs' to fix this.
rake aborted!
superclass mismatch for class ModelExampleGroup

A google search isn't helping me. What can I do to make this warning
go away?
besides piping it to dev/null

Thanks,
John Schank




More information about the rspec-users mailing list